[@bigcommerce/checkout-sdk](../README.md) / StripeElementStyle

# Interface: StripeElementStyle

## Table of contents

### Properties

- [base](StripeElementStyle.md#base)
- [complete](StripeElementStyle.md#complete)
- [empty](StripeElementStyle.md#empty)
- [invalid](StripeElementStyle.md#invalid)

## Properties

### base

• `Optional` **base**: [`StripeElementStyleVariant`](StripeElementStyleVariant.md)

Base variant—all other variants inherit from these styles.

___

### complete

• `Optional` **complete**: [`StripeElementStyleVariant`](StripeElementStyleVariant.md)

Applied when the element has valid input.

___

### empty

• `Optional` **empty**: [`StripeElementStyleVariant`](StripeElementStyleVariant.md)

Applied when the element has no customer input.

___

### invalid

• `Optional` **invalid**: [`StripeElementStyleVariant`](StripeElementStyleVariant.md)

Applied when the element has invalid input.
